/*
* Code by Bodysoulspirit. Public Domain.
*/

#include "node.h"

VuoModuleMetadata({
					 "title" : "Get Booleans Indexes",
					 "keywords" : [],
					 "description" : "Retrieves the indexes of a boolean list that match the Checker port state",
					 "version" : "1.0.3",
				 });

void nodeEvent
(
	VuoInputData(VuoBoolean, {"default":true}) checker,
	VuoInputData(VuoList_VuoBoolean) values,
	VuoOutputData(VuoList_VuoInteger) indexes
)
{
	*indexes = VuoListCreate_VuoInteger();
	unsigned long termsCount = VuoListGetCount_VuoBoolean(values);

	for (unsigned long i = 1; i <= termsCount; ++i)
	{
		if (checker == VuoListGetValue_VuoBoolean(values, i))
		{
			VuoListAppendValue_VuoInteger(*indexes, i);
		}
	}
}
